<?php require_once('header.php'); ?>
<?php if($allPermissions['logistics']['update']=="1"){ ?>
<?php
if(isset($_POST['form1'])) {
	$valid = 1;

		if(empty($_POST['company_name'])) {
		$valid = 0;
		$error_message .= 'Company Name can not be empty<br>';
	}

	if(empty($_POST['company_description'])) {
		$valid = 0;
		$error_message .= 'Company Description can not be empty<br>';
	}
	

	if($valid == 1) {

        	$statement = $pdo->prepare("UPDATE courier_company SET company_name=?, company_description=? WHERE id=?");
    		$statement->execute(array($_POST['company_name'],$_POST['company_description'],$_REQUEST['id']));

	    $success_message = 'Company Details is updated successfully!';
	}
}
?>

<?php
if(!isset($_REQUEST['id'])) {
	header('location: logout.php');
	exit;
} else {
	// Check the id is valid or not
	$statement = $pdo->prepare("SELECT * FROM courier_company WHERE id=?");
	$statement->execute(array($_REQUEST['id']));
	$total = $statement->rowCount();
	$result = $statement->fetchAll(PDO::FETCH_ASSOC);
	if( $total == 0 ) {
		header('location: logout.php');
		exit;
	}
}
?>
<section class="content-header">
	<div class="content-header-left">
		<h1>Edit Courier Company</h1>
	</div>
	<div class="content-header-right">
		<a href="courier_company.php" class="btn btn-primary btn-sm">View All</a>
	</div>
</section>

<?php
$statement = $pdo->prepare("SELECT * FROM courier_company WHERE id=?");
$statement->execute(array($_REQUEST['id']));
$result = $statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($result as $row) {
	$company_name = $row['company_name'];
	$company_description = $row['company_description'];

}
?>

<section class="content">

	<div class="row">
		<div class="col-md-12">

			<?php if($error_message): ?>
			<div class="callout callout-danger">
				<p>
					<?php echo $error_message; ?>
				</p>
			</div>
			<?php endif; ?>

			<?php if($success_message): ?>
			<div class="callout callout-success">
				<p><?php echo $success_message; ?></p>
			</div>
			<?php endif; ?>
			
			<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
				<div class="box box-info">
					<div class="box-body">
						<div class="form-group">
							<label for="" class="col-sm-2 control-label">Company Name<span>*</span></label>
							<div class="col-sm-6">
								<input type="text" autocomplete="off" class="form-control" name="company_name" value="<?php echo $company_name; ?>">
							</div>
						</div>
						<div class="form-group">
							<label for="" class="col-sm-2 control-label">Company Description <span>*</span></label>
							<div class="col-sm-6">
								<input type="text" autocomplete="off" class="form-control" name="company_description" value="<?php echo $company_description; ?>">
							</div>
						</div>
						<div class="form-group">
							<label for="" class="col-sm-2 control-label"></label>
							<div class="col-sm-6">
								<button type="submit" class="btn btn-success pull-left" name="form1">Submit</button>
							</div>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>

</section>
<?php }else{ ?>
<center><h4 style="color:red;">You don't have permission to edit logistics </h4></center>
<?php } ?>
<?php require_once('footer.php'); ?>